classification
Title: Fork/exec issues with Tk 8.5/Python 2.5.1 on OS X
Type: behavior Stage: resolved
Components: Tkinter Versions: Python 2.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: loewis Nosy List: Rhamphoryncus, asvetlov, ceball, gpolo, jafo, lars512, loewis, ned.deily, schmir, wordtech
Priority: normal Keywords:

Created on 2007-12-21 01:25 by wordtech, last changed 2012-03-22 20:11 by ned.deily. This issue is now closed.

Messages (6)
msg58931 - (view) Author: Kevin Walzer (wordtech) * Date: 2007-12-21 01:25
I've just updated to Tk 8.5 on OS X (Leopard, 10.5.1) and have rebuilt 
Python to link to the new version of Tk. I'm seeing tons of weird error 
messages in my logs when I run IDLE:

12/20/07 8:18:46 PM [0x0-0xa50a5].org.python.IDLE[1300] Break on 
__THE_PROCESS_HAS_FORKED_AND_YOU_CANNOT_USE_THIS_COREFOUNDATION_FUNCTION
ALITY___YOU_MUST_EXEC__() to debug. 
12/20/07 8:18:46 PM [0x0-0xa50a5].org.python.IDLE[1300] The process has 
forked and you cannot use this CoreFoundation functionality safely. You 
MUST exec(). 

I'm not sure if this is a showstopper bug or not, but I'm a bit 
concerned about all these error messages. Can someone investigate?
msg58934 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2007-12-21 06:25
I would expect that this is a Tk bug, primarily, not a Python bug. If
somebody could reproduce it with Tk alone, it would be good to report it
at http://sourceforge.net/tracker/?group_id=12997
msg58946 - (view) Author: Kevin Walzer (wordtech) * Date: 2007-12-21 14:49
I already queried the Tcl-Mac mailing list about this to see if it 
should be reported as a bug against Tk. Daniel Steffen, the maintainer 
of Tcl/Tk on the Mac, thinks it may stem from Python-Tk interaction. His 
detailed reply is here:

http://www.nabble.com/Re%3A-Fork-vs.-exec-in-RC-5-of-Tk-8.5-
p14394315.html

I have not seen this error when running Tcl/Tk applications against 8.5-
-just Python-Tkinter.
msg63849 - (view) Author: Sean Reifschneider (jafo) * (Python committer) Date: 2008-03-18 02:27
Martin: Any response to Kevin's URL reference?
msg156599 - (view) Author: Andrew Svetlov (asvetlov) * (Python committer) Date: 2012-03-22 18:18
Let's close this issue as very old and obsolete.
msg156611 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-03-22 20:11
Yes, whatever the initial problem, it doesn't seem to be an issue anymore.
History
Date User Action Args
2012-03-22 20:11:36ned.deilysetstatus: open -> closed

nosy: + ned.deily
messages: + msg156611

resolution: out of date
stage: test needed -> resolved
2012-03-22 18:18:52asvetlovsetnosy: + asvetlov
messages: + msg156599
2009-04-26 22:18:59ajaksu2setnosy: + gpolo
versions: + Python 2.6, - Python 2.5

stage: test needed
2009-02-25 03:17:42lars512setnosy: + lars512
2008-06-12 08:21:17ceballsetnosy: + ceball
2008-03-18 02:27:03jafosetpriority: normal
assignee: loewis
messages: + msg63849
nosy: + jafo
2008-01-13 00:17:58schmirsetnosy: + schmir
2007-12-23 18:13:02Rhamphoryncussetnosy: + Rhamphoryncus
2007-12-21 14:49:31wordtechsetmessages: + msg58946
2007-12-21 06:25:16loewissetnosy: + loewis
messages: + msg58934
2007-12-21 01:25:28wordtechcreate